Bug 58587 - OpenSSL packages provide incorrect opensslXXX
Summary: OpenSSL packages provide incorrect opensslXXX
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: openssl (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-01-20 22:23 UTC by Bojan Smojver
Modified: 2007-04-18 16:39 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-09 22:34:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bojan Smojver 2002-01-20 22:23:15 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.4) Gecko/20011126
Netscape6/6.2.1

Description of problem:
The OpenSSL packages:

openssl096-0.9.6-7
openssl096b-0.9.6b-1
openssl095a-0.9.5a-12
openssl-perl-0.9.6c-2
openssl-0.9.6c-2
openssl-devel-0.9.6c-2
specifiy incorrect opensslXXX in provides. This is the output:

[bojan@beast bojan]$ rpm -q --provides openssl   
libcrypto.so.3  
libssl.so.3  
openssl = 0.9.6c-2
[bojan@beast bojan]$ rpm -q --provides openssl096  
libcrypto.so.1  
libssl.so.1  
openssl096 = 0.9.6-7
[bojan@beast bojan]$ rpm -q --provides openssl096b
libcrypto.so.2  
libssl.so.2  
openssl096b = 0.9.6b-1
[bojan@beast bojan]$ rpm -q --provides openssl095a 
libcrypto.so.0  
libssl.so.0  
openssl095a = 0.9.5a-12

They should provide opensslXXX without the RPM release. For instance

openssl095a = 0.9.5a

and so on.

Such behaviour prevents clean installation of vanilla OpenSSH, which requires
OpenSSL 0.9.6b. Although the package is installed, the --nodeps option has to be
used to install it.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install Rawhide OpenSSL RPM packages.
2. Download OpenSSH RPM's from http://www.openssh.com/
3. Attempt installation of those RPM's.
	

Actual Results:  Installation requires --nodeps, although all the correct
libraries are already on the system.

Expected Results:  The packages should install cleanly.

Additional info:

Comment 1 Bill Nottingham 2003-01-09 22:34:40 UTC
That's the normal behavior; it's saying that the package provides
%{NAME} = %{VERSION}-%{RELEASE}.

It's the same for all packages.


Note You need to log in before you can comment on or make changes to this bug.